# esp32_BNO08x: bno08x_step_counter_t Struct Reference

Loading...
Searching...
No Matches
bno08x_step_counter_t Struct Reference

Struct to represent step counter data from step counter reports. More...

`#include <BNO08xGlobalTypes.hpp>`

## Public Member Functions

| bno08x_step_counter_t ()
bno08x_step_counter_t & | operator= (const sh2_StepCounter_t &source)

## Public Attributes

uint32_t | latency
uint16_t | steps
BNO08xAccuracy | accuracy

## Detailed Description

Struct to represent step counter data from step counter reports.

## Constructor & Destructor Documentation

## bno08x_step_counter_t()

bno08x_step_counter_t::bno08x_step_counter_t | ( |  | ) |

inline

## Member Function Documentation

## operator=()

bno08x_step_counter_t & bno08x_step_counter_t::operator= | ( | const sh2_StepCounter_t & | source | ) |

inline

## Member Data Documentation

## accuracy

BNO08xAccuracy bno08x_step_counter_t::accuracy

## latency

uint32_t bno08x_step_counter_t::latency

## steps

uint16_t bno08x_step_counter_t::steps

The documentation for this struct was generated from the following file:

- include/BNO08xGlobalTypes.hpp